Subject: Re: Dump of TCP hang in established state

From: Nivedita Singhvi <[email-masked]>
Date: Thu, 29 May 2003 14:50:08 -0700

Martin Josefsson wrote:

> I've just tested 2.5-bk and I can still reproduce it.
> The wording of my mail might have been a bit wrong, I don't see complete
> hangs, just ~2 minute stalls in ESTABLISHED state and then it continues
> like nothing happened.
> 

This actually addresses a situation of memory corruption
and illegal reference panics, correct? And should potentially
fix such issues or other seeming weirdnesses that might be
happening in both sendmsg() and sendfile() code paths? Any other
symptoms or particulars? I'm wondering if this addresses
might explain some other bugs we have run into (not
identified as TCP yet)?

thanks,
Nivedita